import { createBackup as publicCreateBackup, listBackups as publicListBackups, restoreBackup as publicRestoreBackup, restorePartialBackup as publicRestorePartialBackup, listRestorations as publicListRestorations, deleteBackup as publicDeleteBackup } from './data-v2-backup-backups.public.js';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
export declare const createBackup: MaybeContext<BuildRESTFunction<typeof publicCreateBackup> & typeof publicCreateBackup>;
export declare const listBackups: MaybeContext<BuildRESTFunction<typeof publicListBackups> & typeof publicListBackups>;
export declare const restoreBackup: MaybeContext<BuildRESTFunction<typeof publicRestoreBackup> & typeof publicRestoreBackup>;
export declare const restorePartialBackup: MaybeContext<BuildRESTFunction<typeof publicRestorePartialBackup> & typeof publicRestorePartialBackup>;
export declare const listRestorations: MaybeContext<BuildRESTFunction<typeof publicListRestorations> & typeof publicListRestorations>;
export declare const deleteBackup: MaybeContext<BuildRESTFunction<typeof publicDeleteBackup> & typeof publicDeleteBackup>;
export { Status, Type, RestorationStatus, WebhookIdentityType, } from './data-v2-backup-backups.universal.js';
export { Backup, Collection, BackupStateChanged, RestorationStateChanged, Restoration, RestorationCollection, RestoreDestination, CreateBackupRequest, CreateBackupResponse, ListBackupsRequest, Paging, ListBackupsResponse, PagingMetadataV2, RestoreBackupRequest, RestoreBackupResponse, RestorePartialBackupRequest, RestorePartialBackupResponse, ListRestorationsRequest, ListRestorationsResponse, DeleteBackupRequest, DeleteBackupResponse, CancelBackupRequest, CancelBackupResponse, MigrateNamespaceRequest, MigrateNamespaceResponse, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, DisableInstanceRequest, Empty, EnableInstanceRequest, DeleteAllRequest, GetBackupMetadataRequest, GetBackupMetadataResponse, RebuildRequest, MoveRequest, RemoveDeletedRequest, FailRestorationRequest, TakeBackupRequest, UpdateBackupMetadataRequest, ListBackupsOptions, ListRestorationsOptions, } from './data-v2-backup-backups.universal.js';
